Name: rpmdb-utils
Version: 0.0.3
Release: alt1

Summary: RPM database helpers
License: GPL
Group: System/Base
Packager: Alexey Gladkov <legion@altlinux.ru>

Source0: %name-%version.tar

# Automatically added by buildreq on Thu Jun 15 2006
BuildRequires: librpm-devel help2man

%description
RPM database helpers

%prep
%setup -q

%build
%__autoreconf
%configure

OPT_FLAGS="-Wunused-function -Wunused-label -Wunused-variable -Wunused-value -Wall -W -Wshadow \
	    -Wpointer-arith -Wcast-align -Wconversion -Waggregate-return -Wstrict-prototypes \
	    -Werror -Wmissing-prototypes -Wmissing-declarations -Wmissing-format-attribute \
	    -Wredundant-decls -Wdisabled-optimization -Wmissing-noreturn -Wextra"
%add_optflags %optflags_warnings $OPT_FLAGS
%make_build CFLAGS="%optflags"

%install
%makeinstall

%files
%_bindir/*
%_man8dir/*

%changelog
* Thu Jul 13 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.3-alt1
- rpmjustdb: 
  + Add manifest handle.
  + Add new options: --ignorearch, --ignoreos, --replacefiles, 
    --replacepkgs, --oldpackage.
- rpmdbdups:
  + Change default behavior: display all dups if no options given.
  + Fix help message.
- rpmdbcopy:
  + Fix help message.
- rpmdb2binlist.8.inc, rpmdbcopy.8.inc, rpmdbdups.8.inc, rpmjustdb.8.inc:
  + Correct copyright.

* Fri Jun 30 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.2-alt1
- new utility: rpmdbdups
- rpmdbcopy: 
  + added new option: --allmatches, --upgrade

* Wed Jun 28 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.1-alt4
- rpmjustdb:
  + SRPMS architecture bugfix;
  + fixed nodeps.

* Wed Jun 21 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.1-alt3
- rpmdbcopy, rpmdb2binlist: 
  + fixed: x86_64 build

* Mon Jun 19 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.1-alt2
- rpmjustdb:
  + added new options: --allmatches, --test, --hash

* Mon Jun 19 2006 Alexey Gladkov <legion@altlinux.ru> 0.0.1-alt1
- first build for ALT Linux.
